------------------------------------------------------------------------------------
--Name：     210207[简体征服][活动脚本]全球愚人节活动-剧情引导
--Creator:      傅伟龙
--Created:     2021-02-07
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>170


-- 设置摄像机指向位置(网格坐标)


CppScriptMgr:SetViewPosByCell(328,333);
local effectObj13 = CppScriptMgr:AddEffect( "firemagic", 329, 333);
CppScriptMgr:WaitMilSec(1000);

local effectObj14 = CppScriptMgr:AddEffect( "fp-lt", 332,318);
CppScriptMgr:WaitMilSec(25);
local effectObj15 = CppScriptMgr:AddEffect( "fp-lt", 332,325);
CppScriptMgr:WaitMilSec(25);
local effectObj16 = CppScriptMgr:AddEffect( "fp-lt", 332,332);
CppScriptMgr:WaitMilSec(25);
local effectObj17 = CppScriptMgr:AddEffect( "fp-lt", 332,339);
CppScriptMgr:WaitMilSec(25);
local effectObj18 = CppScriptMgr:AddEffect( "fp-lt", 332,346);
CppScriptMgr:WaitMilSec(25);
local effectObj19 = CppScriptMgr:AddEffect( "fp-lt", 318,319);
CppScriptMgr:WaitMilSec(25);
local effectObj20 = CppScriptMgr:AddEffect( "fp-lt", 318,326);
CppScriptMgr:WaitMilSec(25);
local effectObj21 = CppScriptMgr:AddEffect( "fp-lt", 318,333);
CppScriptMgr:WaitMilSec(25);
local effectObj22 = CppScriptMgr:AddEffect( "fp-lt", 318,340);
CppScriptMgr:WaitMilSec(25);
local effectObj23 = CppScriptMgr:AddEffect( "fp-lt", 318,347);
CppScriptMgr:WaitMilSec(25);
local effectObj24 = CppScriptMgr:AddEffect( "fp-lt", 304,321);
CppScriptMgr:WaitMilSec(25);
local effectObj25 = CppScriptMgr:AddEffect( "fp-lt", 304,328);
CppScriptMgr:WaitMilSec(25);
local effectObj26 = CppScriptMgr:AddEffect( "fp-lt", 304,335);
CppScriptMgr:WaitMilSec(25);
local effectObj27 = CppScriptMgr:AddEffect( "fp-lt", 304,342);
CppScriptMgr:WaitMilSec(25);
local effectObj28 = CppScriptMgr:AddEffect( "fp-lt", 304,349);
CppScriptMgr:WaitMilSec(25);

local effectObj29 = CppScriptMgr:AddEffect( "fp-lt", 290,318);
CppScriptMgr:WaitMilSec(25);
local effectObj30 = CppScriptMgr:AddEffect( "fp-lt", 290,325);
CppScriptMgr:WaitMilSec(25);
local effectObj31 = CppScriptMgr:AddEffect( "fp-lt", 290,332);
CppScriptMgr:WaitMilSec(25);
local effectObj32 = CppScriptMgr:AddEffect( "fp-lt", 290,339);
CppScriptMgr:WaitMilSec(25);
local effectObj33 = CppScriptMgr:AddEffect( "fp-lt", 290,346);
CppScriptMgr:WaitMilSec(25);


local effectObj34 = CppScriptMgr:AddEffect( "fp-lt", 276,318);
CppScriptMgr:WaitMilSec(25);
local effectObj35 = CppScriptMgr:AddEffect( "fp-lt", 276,325);
CppScriptMgr:WaitMilSec(25);
local effectObj36 = CppScriptMgr:AddEffect( "fp-lt", 276,332);
CppScriptMgr:WaitMilSec(25);
local effectObj37 = CppScriptMgr:AddEffect( "fp-lt", 276,339);
CppScriptMgr:WaitMilSec(25);
local effectObj38 = CppScriptMgr:AddEffect( "fp-lt", 276,346);
CppScriptMgr:WaitMilSec(25);


local effectObj39 = CppScriptMgr:AddEffect( "fp-lt", 262,318);
CppScriptMgr:WaitMilSec(25);
local effectObj40 = CppScriptMgr:AddEffect( "fp-lt", 262,325);
CppScriptMgr:WaitMilSec(25);
local effectObj41 = CppScriptMgr:AddEffect( "fp-lt", 262,332);
CppScriptMgr:WaitMilSec(25);
local effectObj42 = CppScriptMgr:AddEffect( "fp-lt", 262,339);
CppScriptMgr:WaitMilSec(25);
local effectObj43 = CppScriptMgr:AddEffect( "fp-lt", 262,346);
CppScriptMgr:WaitMilSec(1000);

for i = 1,65 do
	CppScriptMgr:SetViewPosByCell(328-i,333);
	CppScriptMgr:WaitMilSec(25);
end


CppScriptMgr:WaitMilSec(2000);
CppScriptMgr:NpcCallOut("    Shennong Tripod is hidden in the blaze.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc10086", 150, 430, "AncientRuler", 250, 655)


CppScriptMgr:WaitMilSec(5000);




